Bug 180290 - [css-grid] Rename gutter properties to remove "grid-" prefix
Summary: [css-grid] Rename gutter properties to remove "grid-" prefix
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Manuel Rego Casasnovas
URL:
Keywords: InRadar
Depends on: 182004
Blocks:
  Show dependency treegraph
 
Reported: 2017-12-01 15:29 PST by Javier Fernandez
Modified: 2018-02-05 05:53 PST (History)
9 users (show)

See Also:


Attachments
Patch (34.00 KB, patch)
2018-01-30 14:42 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews106 for mac-sierra-wk2 (2.58 MB, application/zip)
2018-01-30 17:04 PST, Build Bot
no flags Details
Archive of layout-test-results from ews116 for mac-sierra (3.14 MB, application/zip)
2018-01-30 17:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews126 for ios-simulator-wk2 (2.25 MB, application/zip)
2018-01-30 17:08 PST, Build Bot
no flags Details
Archive of layout-test-results from ews102 for mac-sierra (2.58 MB, application/zip)
2018-01-30 17:44 PST, Build Bot
no flags Details
Patch (35.54 KB, patch)
2018-01-31 03:44 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (167.35 KB, patch)
2018-02-05 02:35 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews100 for mac-sierra (739.47 KB, application/zip)
2018-02-05 03:27 PST, Build Bot
no flags Details
Archive of layout-test-results from ews105 for mac-sierra-wk2 (860.79 KB, application/zip)
2018-02-05 03:30 PST, Build Bot
no flags Details
Archive of layout-test-results from ews115 for mac-sierra (715.80 KB, application/zip)
2018-02-05 03:42 PST, Build Bot
no flags Details
Patch (121.38 KB, patch)
2018-02-05 03:47 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch (121.27 KB, patch)
2018-02-05 03:54 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff
Patch for landing (121.20 KB, patch)
2018-02-05 04:51 PST, Manuel Rego Casasnovas
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Javier Fernandez 2017-12-01 15:29:19 PST
The CSS WG has resolved to rename the gap properties:
* grid-column-gap to column-gap
* grid-row-gap to row-gap
* grid-gap to gap

Note that the default value is "normal" instead of "0".

Probably we need to keep the prefixed versions for a while (or forever) working as an alias of the new ones.
The new ones will eventually apply to Flexbox too.
Comment 1 Javier Fernandez 2017-12-01 15:29:29 PST
Link to the CSS WG GitHub issue: https://github.com/w3c/csswg-drafts/issues/1696

And the commit introducing the change on the spec: https://github.com/w3c/csswg-drafts/commit/8f243616df9b967ae546459e955ce0186188b54b
Comment 2 Manuel Rego Casasnovas 2018-01-30 14:42:55 PST
Created attachment 332710 [details]
Patch

Not ready for review yet as it needs to import several WPT tests that will land with the Blink patch.
Comment 3 Build Bot 2018-01-30 16:45:30 PST
Attachment 332710 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:22:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 13 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 4 Build Bot 2018-01-30 17:04:40 PST
Comment on attachment 332710 [details]
Patch

Attachment 332710 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6269300

New failing tests:
fast/css-grid-layout/grid-shorthand-get-set.html
Comment 5 Build Bot 2018-01-30 17:04:41 PST
Created attachment 332727 [details]
Archive of layout-test-results from ews106 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews106  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 6 Build Bot 2018-01-30 17:08:08 PST
Comment on attachment 332710 [details]
Patch

Attachment 332710 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6268749

New failing tests:
fast/css-grid-layout/grid-shorthand-get-set.html
Comment 7 Build Bot 2018-01-30 17:08:09 PST
Created attachment 332728 [details]
Archive of layout-test-results from ews116 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews116  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 8 Build Bot 2018-01-30 17:08:39 PST
Comment on attachment 332710 [details]
Patch

Attachment 332710 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/6268873

New failing tests:
fast/css-grid-layout/grid-shorthand-get-set.html
Comment 9 Build Bot 2018-01-30 17:08:40 PST
Created attachment 332729 [details]
Archive of layout-test-results from ews126 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews126  Port: ios-simulator-wk2  Platform: Mac OS X 10.12.6
Comment 10 Build Bot 2018-01-30 17:43:58 PST
Comment on attachment 332710 [details]
Patch

Attachment 332710 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6270998

New failing tests:
fast/css-grid-layout/grid-shorthand-get-set.html
Comment 11 Build Bot 2018-01-30 17:44:00 PST
Created attachment 332732 [details]
Archive of layout-test-results from ews102 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 12 Manuel Rego Casasnovas 2018-01-31 03:44:33 PST
Created attachment 332755 [details]
Patch
Comment 13 Build Bot 2018-01-31 03:47:16 PST
Attachment 332755 [details] did not pass style-queue:


ERROR: Source/WebCore/ChangeLog:22:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 14 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 14 Manuel Rego Casasnovas 2018-02-05 02:35:08 PST
Created attachment 333067 [details]
Patch

Patch ready for review, including the WPT tests.
Comment 15 Build Bot 2018-02-05 03:27:38 PST
Comment on attachment 333067 [details]
Patch

Attachment 333067 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/6363080

Number of test failures exceeded the failure limit.
Comment 16 Build Bot 2018-02-05 03:27:39 PST
Created attachment 333068 [details]
Archive of layout-test-results from ews100 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews100  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 17 Build Bot 2018-02-05 03:30:31 PST
Comment on attachment 333067 [details]
Patch

Attachment 333067 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/6363085

Number of test failures exceeded the failure limit.
Comment 18 Build Bot 2018-02-05 03:30:33 PST
Created attachment 333069 [details]
Archive of layout-test-results from ews105 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews105  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 19 Build Bot 2018-02-05 03:42:01 PST
Comment on attachment 333067 [details]
Patch

Attachment 333067 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/6363088

Number of test failures exceeded the failure limit.
Comment 20 Build Bot 2018-02-05 03:42:02 PST
Created attachment 333070 [details]
Archive of layout-test-results from ews115 for mac-sierra

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews115  Port: mac-sierra  Platform: Mac OS X 10.12.6
Comment 21 Manuel Rego Casasnovas 2018-02-05 03:47:38 PST
Created attachment 333071 [details]
Patch
Comment 22 Manuel Rego Casasnovas 2018-02-05 03:54:35 PST
Created attachment 333072 [details]
Patch
Comment 23 Javier Fernandez 2018-02-05 04:26:54 PST
Comment on attachment 333072 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333072&action=review

> Source/WebCore/ChangeLog:8
> +        [css-grid] Rename gutter properties to remove "grid-" prefix

This line looks like duplicated, please delete it.
Comment 24 Manuel Rego Casasnovas 2018-02-05 04:51:11 PST
Created attachment 333075 [details]
Patch for landing
Comment 25 Manuel Rego Casasnovas 2018-02-05 04:51:36 PST
Comment on attachment 333072 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=333072&action=review

Thanks for the review.

>> Source/WebCore/ChangeLog:8
>> +        [css-grid] Rename gutter properties to remove "grid-" prefix
> 
> This line looks like duplicated, please delete it.

Done.
Comment 26 WebKit Commit Bot 2018-02-05 05:38:56 PST
The commit-queue encountered the following flaky tests while processing attachment 333075 [details]:

media/modern-media-controls/tracks-support/tracks-support-show-panel-after-dragging-controls.html bug 169158 (authors: graouts@apple.com and ryanhaddad@apple.com)
The commit-queue is continuing to process your patch.
Comment 27 WebKit Commit Bot 2018-02-05 05:39:01 PST
The commit-queue encountered the following flaky tests while processing attachment 333075 [details]:

imported/w3c/web-platform-tests/fetch/api/cors/cors-redirect-preflight.any.html bug 182481 (author: youennf@gmail.com)
The commit-queue is continuing to process your patch.
Comment 28 WebKit Commit Bot 2018-02-05 05:51:30 PST
Comment on attachment 333075 [details]
Patch for landing

Clearing flags on attachment: 333075

Committed r228095: <https://trac.webkit.org/changeset/228095>
Comment 29 WebKit Commit Bot 2018-02-05 05:51:32 PST
All reviewed patches have been landed.  Closing bug.
Comment 30 Radar WebKit Bug Importer 2018-02-05 05:53:36 PST
<rdar://problem/37233873>